al_x_set_initial_icon(3)

NAME

al_x_set_initial_icon - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_x.h>
    bool al_x_set_initial_icon(ALLEGRO_BITMAP *bitmap)

DESCRIPTION

On some window managers (notably Ubuntu's Unity) al_set_display_icon doesn't work and you need to use a .desktop file. But with this function you can set an icon before calling al_create_display. This works by setting the icon before XMapWindow.

SINCE

5.2.3

    [Unstable API]: New API.